import axios from 'axios';
import { _1C_PROXY_URL } from 'core/constants/urls';
import { IGetTransTaxRequest, IGetTransTaxResponse } from './types';

export default class {
  static getTransTax = (payload: IGetTransTaxRequest) =>
    axios
      .post<IGetTransTaxResponse>(
        String.prototype.concat(_1C_PROXY_URL, '/leasingTrial', '/transTax'),
        payload,
      )
      .then(res => res.data);
}
